#include <bits/stdc++.h>
using namespace std;

int h[1000007];
int neg[1000007];


int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n, k;
    cin >> n >> k;
    vector<int> res;
    int x;
    for (int i = 0; i < n; i++)
    {
        cin >> x;
        if (x < 0) {
            if (++neg[x] == k) {
               res.push_back(x);
            }
        }
        else if (++h[x] == k) {
            res.push_back(x);
        }
    }
    cout << res.size() << "\n";
    for (int i = 0; i < res.size(); i++)
        cout << res[i] << " ";
    return 0;
}